[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IFPObserved.FPONotifyObservers

Notify all observers

## Declaration

Source position: classesh.inc line 173

`procedure IFPObserved.FPONotifyObservers(`
`ASender: TObject;`
`AOperation: TFPObservedOperation;`
`Data: Pointer`
`);`

## Description

FPONotifyObservers notifies all observers of the object that a change has occurred. It calls FPOObservedChanged on the IFPObserver interface of all attached objects, and passes on ASender (normally this is Self), AOperation and Data. What Data is, depends on the implementor of the interface.

## See also

IFPObserver |  | Interface for an object to observe other objects.
FPOObservedChanged |  | Entry point for change notifications
FPODetachObserver
FPOAttachObserver

Documentation generated on: Feb 26 2014